/* loader.c :  entry=loader */
/* compiled by EusLisp 9.15() for Linux64 created on host03.storm.ros.org(Mon Aug 31 14:54:36 UTC 2015) */
#include "eus.h"
#include "loader.h"
#pragma init (register_loader)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___loader();
extern pointer build_quote_vector();
static int register_loader()
  { add_module_initializer("___loader", ___loader);}

static pointer F29275file_write_date();
static pointer F29278file_newer();
static pointer F29281open();
static pointer F29286probe_file();
static pointer F29290object_file_p();
static pointer F29293path_list();
static pointer F29296find_executable();
static pointer F29299system__txtload();
static pointer F29309load_module_file_name();
static pointer F29312load();
static pointer F29315load_files();
static pointer F29318read_file();
static pointer F29321read_strings();
static pointer F29324read_lines();
static pointer F29327read_lists();
static pointer F29330read_binary_file();
static pointer F29333read_lines_till_eof();
static pointer F29338load_library();
static pointer F29341dump_object();
static pointer F29344dump_structure();
static pointer F29348file_size();
static pointer F29351directory_p();
static pointer F29354map_file();
static pointer F29356provide();
static pointer F29358require();

/*file-write-date*/
static pointer F29275file_write_date(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= makeint((eusinteger_t)9L);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(*ftab[0])(ctx,1,local+1,&ftab[0],fqv[0]); /*namestring*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)STAT(ctx,1,local+1); /*unix:stat*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)NTH(ctx,2,local+0); /*nth*/
	local[0]= w;
BLK29405:
	ctx->vsp=local; return(local[0]);}

/*file-newer*/
static pointer F29278file_newer(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)F29286probe_file(ctx,1,local+0); /*probe-file*/
	local[0]= ((w)==NIL?T:NIL);
	if (local[0]!=NIL) goto OR29437;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29286probe_file(ctx,1,local+0); /*probe-file*/
	local[0]= ((w)==NIL?T:NIL);
	if (local[0]!=NIL) goto OR29437;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29275file_write_date(ctx,1,local+0); /*file-write-date*/
	local[0]= w;
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)F29275file_write_date(ctx,1,local+1); /*file-write-date*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)GREATERP(ctx,2,local+0); /*>*/
	local[0]= w;
OR29437:
	w = local[0];
	local[0]= w;
BLK29425:
	ctx->vsp=local; return(local[0]);}

/*open*/
static pointer F29281open(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[1], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY29479;
	local[0] = fqv[2];
KEY29479:
	if (n & (1<<1)) goto KEY29486;
	local[1] = fqv[3];
KEY29486:
	if (n & (1<<2)) goto KEY29493;
	local[2] = fqv[4];
KEY29493:
	if (n & (1<<3)) goto KEY29500;
	local[3] = makeint((eusinteger_t)420L);
KEY29500:
	if (n & (1<<4)) goto KEY29505;
	local[4] = makeint((eusinteger_t)512L);
KEY29505:
	local[5]= makeint((eusinteger_t)0L);
	local[6]= NIL;
	local[7]= NIL;
	local[8]= argv[0];
	ctx->vsp=local+9;
	w=(pointer)STREAMP(ctx,1,local+8); /*streamp*/
	if (w==NIL) goto IF29530;
	local[8]= argv[0];
	ctx->vsp=local+9;
	w=(*ftab[1])(ctx,1,local+8,&ftab[1],fqv[5]); /*io-stream-p*/
	if (w==NIL) goto IF29538;
	local[7] = *(ovafptr(*(ovafptr(argv[0],fqv[6])),fqv[7]));
	local[8]= local[7];
	goto IF29539;
IF29538:
	local[7] = *(ovafptr(argv[0],fqv[7]));
	local[8]= local[7];
IF29539:
	goto IF29531;
IF29530:
	local[7] = argv[0];
	local[8]= local[7];
IF29531:
	local[8]= local[7];
	ctx->vsp=local+9;
	w=(*ftab[0])(ctx,1,local+8,&ftab[0],fqv[0]); /*namestring*/
	local[7] = w;
	local[8]= local[0];
	local[9]= local[8];
	if (fqv[2]!=local[9]) goto IF29591;
	local[5] = makeint((eusinteger_t)0L);
	local[9]= local[2];
	if (fqv[4]!=local[9]) goto IF29608;
	local[2] = fqv[8];
	local[9]= local[2];
	goto IF29609;
IF29608:
	local[9]= NIL;
IF29609:
	local[9]= local[2];
	if (fqv[9]!=local[9]) goto IF29624;
	local[9]= local[5];
	local[10]= makeint((eusinteger_t)64L);
	ctx->vsp=local+11;
	w=(pointer)PLUS(ctx,2,local+9); /*+*/
	local[5] = w;
	local[9]= local[5];
	goto IF29625;
IF29624:
	local[9]= NIL;
IF29625:
	local[9]= local[7];
	local[10]= local[5];
	local[11]= local[3];
	local[12]= local[4];
	ctx->vsp=local+13;
	w=(*ftab[2])(ctx,4,local+9,&ftab[2],fqv[10]); /*system:openfile*/
	local[6] = w;
	local[9]= local[6];
	goto IF29592;
IF29591:
	local[9]= local[8];
	w = fqv[11];
	if (memq(local[9],w)==NIL) goto IF29656;
	local[9]= local[0];
	if (fqv[12]!=local[9]) goto IF29670;
	local[5] = makeint((eusinteger_t)2L);
	local[9]= local[5];
	goto IF29671;
IF29670:
	local[5] = makeint((eusinteger_t)1L);
	local[9]= local[5];
IF29671:
	local[9]= local[1];
	local[10]= local[9];
	if (fqv[13]!=local[10]) goto IF29702;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)1024L);
	ctx->vsp=local+12;
	w=(pointer)PLUS(ctx,2,local+10); /*+*/
	local[5] = w;
	local[10]= local[5];
	goto IF29703;
IF29702:
	local[10]= local[9];
	w = fqv[14];
	if (memq(local[10],w)==NIL) goto IF29721;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)64L);
	local[12]= makeint((eusinteger_t)512L);
	ctx->vsp=local+13;
	w=(pointer)PLUS(ctx,3,local+10); /*+*/
	local[5] = w;
	local[10]= local[5];
	goto IF29722;
IF29721:
	local[10]= local[9];
	if (fqv[15]!=local[10]) goto IF29742;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)64L);
	ctx->vsp=local+12;
	w=(pointer)PLUS(ctx,2,local+10); /*+*/
	local[5] = w;
	local[10]= local[5];
	goto IF29743;
IF29742:
	local[10]= local[9];
	w = fqv[16];
	if (memq(local[10],w)==NIL) goto IF29761;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)64L);
	local[12]= makeint((eusinteger_t)128L);
	ctx->vsp=local+13;
	w=(pointer)PLUS(ctx,3,local+10); /*+*/
	local[5] = w;
	local[10]= local[5];
	goto IF29762;
IF29761:
	if (T==NIL) goto IF29782;
	local[10]= fqv[17];
	ctx->vsp=local+11;
	w=(pointer)SIGERROR(ctx,1,local+10); /*error*/
	local[10]= w;
	goto IF29783;
IF29782:
	local[10]= NIL;
IF29783:
IF29762:
IF29743:
IF29722:
IF29703:
	w = local[10];
	local[9]= local[2];
	local[10]= local[9];
	if (fqv[8]!=local[10]) goto IF29804;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)64L);
	ctx->vsp=local+12;
	w=(pointer)LOGNOT(ctx,1,local+11); /*lognot*/
	local[11]= w;
	ctx->vsp=local+12;
	w=(pointer)LOGAND(ctx,2,local+10); /*logand*/
	local[5] = w;
	local[10]= local[5];
	goto IF29805;
IF29804:
	local[10]= local[9];
	if (fqv[9]!=local[10]) goto IF29824;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)64L);
	ctx->vsp=local+12;
	w=(pointer)LOGIOR(ctx,2,local+10); /*logior*/
	local[5] = w;
	local[10]= local[5];
	goto IF29825;
IF29824:
	local[10]= local[9];
	if (fqv[4]!=local[10]) goto IF29842;
	local[10]= local[1];
	w = fqv[18];
	if (memq(local[10],w)!=NIL) goto IF29850;
	local[10]= local[5];
	local[11]= makeint((eusinteger_t)64L);
	ctx->vsp=local+12;
	w=(pointer)LOGIOR(ctx,2,local+10); /*logior*/
	local[5] = w;
	local[10]= local[5];
	goto IF29851;
IF29850:
	local[10]= NIL;
IF29851:
	goto IF29843;
IF29842:
	local[10]= local[9];
	if (fqv[19]!=local[10]) goto IF29871;
	local[10]= NIL;
	goto IF29872;
IF29871:
	if (T==NIL) goto IF29879;
	local[10]= fqv[20];
	ctx->vsp=local+11;
	w=(pointer)SIGERROR(ctx,1,local+10); /*error*/
	local[10]= w;
	goto IF29880;
IF29879:
	local[10]= NIL;
IF29880:
IF29872:
IF29843:
IF29825:
IF29805:
	w = local[10];
	local[9]= local[7];
	local[10]= local[5];
	local[11]= local[3];
	local[12]= local[4];
	ctx->vsp=local+13;
	w=(*ftab[2])(ctx,4,local+9,&ftab[2],fqv[10]); /*system:openfile*/
	local[6] = w;
	local[9]= local[6];
	goto IF29657;
IF29656:
	if (T==NIL) goto IF29899;
	local[9]= fqv[21];
	ctx->vsp=local+10;
	w=(pointer)SIGERROR(ctx,1,local+9); /*error*/
	local[9]= w;
	goto IF29900;
IF29899:
	local[9]= NIL;
IF29900:
IF29657:
IF29592:
	w = local[9];
	w = local[6];
	if (!isnum(w)) goto IF29909;
	if (local[2]!=NIL) goto IF29918;
	w = NIL;
	ctx->vsp=local+8;
	local[0]=w;
	goto BLK29466;
	goto IF29919;
IF29918:
	local[8]= loadglobal(fqv[22]);
	local[9]= fqv[23];
	local[10]= local[7];
	ctx->vsp=local+11;
	w=(pointer)CONCATENATE(ctx,3,local+8); /*concatenate*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)SIGERROR(ctx,1,local+8); /*error*/
	local[8]= w;
IF29919:
	goto IF29910;
IF29909:
	local[8]= NIL;
IF29910:
	w = local[6];
	local[0]= w;
BLK29466:
	ctx->vsp=local; return(local[0]);}

/*with-open-file*/
static pointer F29941(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST29944:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= fqv[24];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	local[3]= fqv[25];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.cdr;
	local[5]= NIL;
	ctx->vsp=local+6;
	w=(pointer)APPEND(ctx,2,local+4); /*append*/
	ctx->vsp=local+4;
	local[3]= cons(ctx,local[3],w);
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,1,local+3); /*list*/
	ctx->vsp=local+3;
	local[2]= cons(ctx,local[2],w);
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[2]= w;
	local[3]= fqv[26];
	local[4]= fqv[27];
	local[5]= local[0];
	local[6]= NIL;
	ctx->vsp=local+7;
	w=(pointer)APPEND(ctx,2,local+5); /*append*/
	ctx->vsp=local+5;
	local[4]= cons(ctx,local[4],w);
	local[5]= fqv[28];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	ctx->vsp=local+7;
	w=(pointer)LIST(ctx,1,local+6); /*list*/
	ctx->vsp=local+6;
	local[5]= cons(ctx,local[5],w);
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,1,local+5); /*list*/
	ctx->vsp=local+5;
	w = cons(ctx,local[4],w);
	ctx->vsp=local+4;
	local[3]= cons(ctx,local[3],w);
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,1,local+3); /*list*/
	ctx->vsp=local+3;
	w = cons(ctx,local[2],w);
	ctx->vsp=local+2;
	w = cons(ctx,local[1],w);
	local[0]= w;
BLK29942:
	ctx->vsp=local; return(local[0]);}

/*probe-file*/
static pointer F29286probe_file(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[0])(ctx,1,local+0,&ftab[0],fqv[0]); /*namestring*/
	local[0]= w;
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)STAT(ctx,1,local+1); /*unix:stat*/
	local[1]= w;
	w = local[1];
	if (!iscons(w)) goto IF30042;
	local[2]= makeint((eusinteger_t)61440L);
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	ctx->vsp=local+4;
	w=(pointer)LOGAND(ctx,2,local+2); /*logand*/
	local[2]= w;
	local[3]= local[2];
	if (fqv[29]!=local[3]) goto IF30070;
	local[3]= fqv[30];
	goto IF30071;
IF30070:
	local[3]= local[2];
	if (fqv[31]!=local[3]) goto IF30080;
	local[3]= fqv[32];
	goto IF30081;
IF30080:
	local[3]= local[2];
	if (fqv[33]!=local[3]) goto IF30090;
	local[3]= fqv[34];
	goto IF30091;
IF30090:
	local[3]= local[2];
	if (fqv[35]!=local[3]) goto IF30100;
	local[3]= fqv[36];
	goto IF30101;
IF30100:
	local[3]= local[2];
	if (fqv[37]!=local[3]) goto IF30110;
	local[3]= fqv[38];
	goto IF30111;
IF30110:
	local[3]= local[2];
	if (fqv[39]!=local[3]) goto IF30120;
	local[3]= fqv[40];
	goto IF30121;
IF30120:
	local[3]= local[2];
	if (fqv[41]!=local[3]) goto IF30130;
	local[3]= fqv[42];
	goto IF30131;
IF30130:
	local[3]= NIL;
IF30131:
IF30121:
IF30111:
IF30101:
IF30091:
IF30081:
IF30071:
	w = local[3];
	local[2]= w;
	goto IF30043;
IF30042:
	local[2]= NIL;
IF30043:
	w = local[2];
	local[0]= w;
BLK30016:
	ctx->vsp=local; return(local[0]);}

/*object-file-p*/
static pointer F29290object_file_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	ctx->vsp=local+0;
	local[0]= makeclosure(codevec,quotevec,FLET30158,env,argv,local);
	local[1]= argv[0];
	w = local[0];
	ctx->vsp=local+2;
	w=FLET30158(ctx,1,local+1,w);
	local[1]= w;
	local[2]= loadglobal(fqv[43]);
	local[3]= local[1];
	local[4]= makeint((eusinteger_t)0L);
	ctx->vsp=local+5;
	w=(pointer)ELT(ctx,2,local+3); /*elt*/
	local[3]= w;
	local[4]= makeint((eusinteger_t)1L);
	local[5]= local[1];
	ctx->vsp=local+6;
	w=(pointer)LENGTH(ctx,1,local+5); /*length*/
	local[5]= w;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[6];
	local[6]= w;
	local[7]= T;
	local[8]= NIL;
TAG30255:
	if (local[2]==NIL) goto OR30262;
	local[9]= local[4];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(pointer)GREQP(ctx,2,local+9); /*>=*/
	if (w!=NIL) goto OR30262;
	if (local[8]!=NIL) goto OR30262;
	goto IF30260;
OR30262:
	w = local[7];
	ctx->vsp=local+9;
	local[3]=w;
	goto BLK30184;
	goto IF30261;
IF30260:
	local[9]= NIL;
IF30261:
	if (local[6]==NIL) goto IF30284;
	local[9]= local[3];
	local[10]= local[6];
	ctx->vsp=local+11;
	w=(pointer)EQ(ctx,2,local+9); /*eql*/
	if (w!=NIL) goto IF30284;
	local[9]= local[3];
	w = local[6];
	if (memq(local[9],w)!=NIL) goto IF30284;
	local[7] = NIL;
	local[8] = T;
	local[9]= local[8];
	goto IF30285;
IF30284:
	local[9]= NIL;
IF30285:
	local[9]= local[1];
	local[10]= local[4];
	ctx->vsp=local+11;
	w=(pointer)ELT(ctx,2,local+9); /*elt*/
	local[9]= w;
	local[10]= (pointer)((eusinteger_t)(local[4])+4);
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[11]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[11];
	local[11]= w;
	local[3] = local[9];
	local[4] = local[10];
	local[6] = local[11];
	w = NIL;
	ctx->vsp=local+9;
	goto TAG30255;
	w = NIL;
	local[3]= w;
BLK30184:
	w = local[3];
	local[0]= w;
BLK30146:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET30158(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= makeint((eusinteger_t)4L);
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[44]); /*make-string*/
	local[0]= w;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)F29281open(ctx,1,local+1); /*open*/
	local[1]= w;
	ctx->vsp=local+2;
	w = makeclosure(codevec,quotevec,UWP30435,env,argv,local);
	local[2]=(pointer)(ctx->protfp); local[3]=w;
	ctx->protfp=(struct protectframe *)(local+2);
	local[4]= local[1]->c.obj.iv[5];
	local[5]= local[0];
	local[6]= makeint((eusinteger_t)4L);
	ctx->vsp=local+7;
	w=(pointer)UNIXREAD(ctx,3,local+4); /*unix:uread*/
	ctx->vsp=local+4;
	UWP30435(ctx,0,local+4,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP30435(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[1];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*path-list*/
static pointer F29293path_list(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	if (n>=1) { local[0]=(argv[0]); goto ENT30472;}
	local[0]= fqv[45];
	ctx->vsp=local+1;
	w=(pointer)GETENV(ctx,1,local+0); /*unix:getenv*/
	local[0]= w;
ENT30472:
ENT30471:
	if (n>1) maerror();
	local[1]= NIL;
	local[2]= makeint((eusinteger_t)0L);
	local[3]= NIL;
	local[4]= NIL;
WHL30502:
	local[5]= makeint((eusinteger_t)58L);
	local[6]= local[0];
	local[7]= fqv[46];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(*ftab[4])(ctx,4,local+5,&ftab[4],fqv[47]); /*position*/
	local[3] = w;
	if (local[3]==NIL) goto WHX30503;
	local[5]= local[0];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,3,local+5); /*subseq*/
	local[4] = w;
	local[5]= loadglobal(fqv[22]);
	local[6]= local[4];
	local[7]= fqv[48];
	ctx->vsp=local+8;
	w=(pointer)CONCATENATE(ctx,3,local+5); /*concatenate*/
	local[5]= w;
	w = local[1];
	ctx->vsp=local+6;
	local[1] = cons(ctx,local[5],w);
	local[2] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL30502;
WHX30503:
	local[5]= NIL;
BLK30504:
	local[5]= loadglobal(fqv[22]);
	local[6]= local[0];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	local[7]= fqv[49];
	ctx->vsp=local+8;
	w=(pointer)CONCATENATE(ctx,3,local+5); /*concatenate*/
	local[5]= w;
	w = local[1];
	ctx->vsp=local+6;
	local[1] = cons(ctx,local[5],w);
	local[5]= local[1];
	ctx->vsp=local+6;
	w=(pointer)NREVERSE(ctx,1,local+5); /*nreverse*/
	local[0]= w;
BLK30469:
	ctx->vsp=local; return(local[0]);}

/*find-executable*/
static pointer F29296find_executable(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29286probe_file(ctx,1,local+0); /*probe-file*/
	if (w==NIL) goto IF30591;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[5])(ctx,1,local+0,&ftab[5],fqv[50]); /*truename*/
	local[0]= w;
	goto IF30592;
IF30591:
	ctx->vsp=local+0;
	w=(pointer)F29293path_list(ctx,0,local+0); /*path-list*/
	local[0]= w;
	local[1]= NIL;
WHL30615:
	if (local[0]==NIL) goto WHX30616;
	local[2]= argv[0];
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0] = (w)->c.cons.cdr;
	w = local[3];
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[6])(ctx,2,local+2,&ftab[6],fqv[51]); /*merge-pathnames*/
	local[1] = w;
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[0])(ctx,1,local+2,&ftab[0],fqv[0]); /*namestring*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	if (w==NIL) goto IF30668;
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[5])(ctx,1,local+2,&ftab[5],fqv[50]); /*truename*/
	ctx->vsp=local+2;
	local[0]=w;
	goto BLK30581;
	goto IF30669;
IF30668:
	local[2]= NIL;
IF30669:
	goto WHL30615;
WHX30616:
	local[2]= NIL;
BLK30617:
	w = NIL;
	local[0]= w;
IF30592:
	w = local[0];
	local[0]= w;
BLK30581:
	ctx->vsp=local; return(local[0]);}

/*system::txtload*/
static pointer F29299system__txtload(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT30691;}
	local[0]= NIL;
ENT30691:
ENT30690:
	if (n>2) maerror();
	ctx->vsp=local+1;
	w=(pointer)GENSYM(ctx,0,local+1); /*gensym*/
	local[1]= w;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)F29281open(ctx,1,local+4); /*open*/
	local[4]= w;
	ctx->vsp=local+5;
	w = makeclosure(codevec,quotevec,UWP30735,env,argv,local);
	local[5]=(pointer)(ctx->protfp); local[6]=w;
	ctx->protfp=(struct protectframe *)(local+5);
WHL30742:
	local[7]= local[4];
	local[8]= NIL;
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)READ(ctx,3,local+7); /*read*/
	local[2] = w;
	local[7]= local[2];
	if (local[1]==local[7]) goto WHX30743;
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)EVAL(ctx,1,local+7); /*eval*/
	local[3] = w;
	if (local[0]==NIL) goto IF30768;
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)PRINT(ctx,1,local+7); /*print*/
	local[7]= w;
	goto IF30769;
IF30768:
	local[7]= NIL;
IF30769:
	goto WHL30742;
WHX30743:
	local[7]= NIL;
BLK30744:
	w = local[7];
	ctx->vsp=local+7;
	UWP30735(ctx,0,local+7,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[0]= w;
BLK30688:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP30735(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[4];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*load-module-file-name*/
static pointer F29309load_module_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0]->c.obj.iv[5];
	ctx->vsp=local+1;
	w=(*ftab[7])(ctx,1,local+0,&ftab[7],fqv[52]); /*pathname-name*/
	local[0]= w;
BLK30805:
	ctx->vsp=local; return(local[0]);}

/*load*/
static pointer F29312load(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[53], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY30841;
	local[0] = NIL;
KEY30841:
	if (n & (1<<1)) goto KEY30846;
	local[8]= loadglobal(fqv[22]);
	local[9]= fqv[54];
	local[10]= argv[0];
	ctx->vsp=local+11;
	w=(*ftab[7])(ctx,1,local+10,&ftab[7],fqv[52]); /*pathname-name*/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)CONCATENATE(ctx,3,local+8); /*concatenate*/
	local[1] = w;
KEY30846:
	if (n & (1<<2)) goto KEY30857;
	local[2] = NIL;
KEY30857:
	if (n & (1<<3)) goto KEY30862;
	local[3] = fqv[55];
KEY30862:
	if (n & (1<<4)) goto KEY30867;
	local[4] = fqv[56];
KEY30867:
	if (n & (1<<5)) goto KEY30872;
	local[5] = loadglobal(fqv[57]);
KEY30872:
	if (n & (1<<6)) goto KEY30879;
	local[6] = NIL;
KEY30879:
	if (n & (1<<7)) goto KEY30884;
	local[7] = loadglobal(fqv[58]);
KEY30884:
	local[8]= loadglobal(fqv[58]);
	w = local[8];
	ctx->vsp=local+8;
	bindspecial(ctx,fqv[58],w);
	local[11]= NIL;
	local[12]= NIL;
	ctx->vsp=local+13;
	local[13]= makeclosure(codevec,quotevec,FLET30911,env,argv,local);
	ctx->vsp=local+14;
	local[14]= makeclosure(codevec,quotevec,FLET30913,env,argv,local);
	ctx->vsp=local+15;
	local[15]= makeclosure(codevec,quotevec,FLET30915,env,argv,local);
	local[16]= argv[0];
	ctx->vsp=local+17;
	w=(*ftab[8])(ctx,1,local+16,&ftab[8],fqv[59]); /*pathname*/
	argv[0] = w;
	local[16]= local[7];
	ctx->vsp=local+17;
	w=(pointer)FINDPACKAGE(ctx,1,local+16); /*find-package*/
	local[16]= w;
	storeglobal(fqv[58],w);
	local[16]= argv[0];
	ctx->vsp=local+17;
	w=(*ftab[9])(ctx,1,local+16,&ftab[9],fqv[60]); /*pathname-directory*/
	if (w==NIL) goto IF30937;
	local[16]= argv[0];
	ctx->vsp=local+17;
	w=(*ftab[9])(ctx,1,local+16,&ftab[9],fqv[60]); /*pathname-directory*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	local[17]= fqv[61];
	ctx->vsp=local+18;
	w=(pointer)EQ(ctx,2,local+16); /*eql*/
	if (w==NIL) goto IF30937;
	local[16]= argv[0];
	w = local[15];
	ctx->vsp=local+17;
	w=FLET30915(ctx,1,local+16,w);
	local[12] = w;
	if (local[12]!=NIL) goto IF30960;
	local[16]= fqv[62];
	local[17]= argv[0];
	ctx->vsp=local+18;
	w=(pointer)SIGERROR(ctx,2,local+16); /*error*/
	local[16]= w;
	goto IF30961;
IF30960:
	local[16]= local[12];
IF30961:
	goto IF30938;
IF30937:
	local[16]= NIL;
	local[17]= loadglobal(fqv[63]);
	local[18]= loadglobal(fqv[64]);
	local[19]= fqv[65];
	local[20]= (pointer)get_sym_func(fqv[66]);
	ctx->vsp=local+21;
	w=(*ftab[10])(ctx,4,local+17,&ftab[10],fqv[67]); /*union*/
	local[17]= w;
WHL31009:
	if (local[17]==NIL) goto WHX31010;
	w=local[17];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[18]= (w)->c.cons.car;
	w=local[17];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[17] = (w)->c.cons.cdr;
	w = local[18];
	local[16] = w;
	local[18]= local[16];
	local[19]= argv[0];
	ctx->vsp=local+20;
	w=(*ftab[11])(ctx,2,local+18,&ftab[11],fqv[68]); /*concatenate-pathnames*/
	local[11] = w;
	local[18]= local[11];
	w = local[15];
	ctx->vsp=local+19;
	w=FLET30915(ctx,1,local+18,w);
	local[12] = w;
	if (local[12]==NIL) goto IF31080;
	w = local[12];
	ctx->vsp=local+18;
	unwind(ctx,local+0);
	local[0]=w;
	goto BLK30825;
	goto IF31081;
IF31080:
	local[18]= NIL;
IF31081:
	goto WHL31009;
WHX31010:
	local[18]= NIL;
BLK31011:
	w = NIL;
	local[16]= fqv[69];
	local[17]= argv[0];
	ctx->vsp=local+18;
	w=(pointer)SIGERROR(ctx,2,local+16); /*error*/
	local[16]= w;
IF30938:
	w = local[16];
	local[13]= w;
	ctx->vsp=local+14;
	unbindx(ctx,1);
	w = local[13];
	local[0]= w;
BLK30825:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET30911(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	if (env->c.clo.env2[5]==NIL) goto IF31110;
	local[0]= T;
	local[1]= fqv[70];
	local[2]= argv[0];
	local[3]= argv[1];
	ctx->vsp=local+4;
	w=(*ftab[0])(ctx,1,local+3,&ftab[0],fqv[0]); /*namestring*/
	local[3]= w;
	local[4]= loadglobal(fqv[58]);
	ctx->vsp=local+5;
	w=(pointer)XFORMAT(ctx,5,local+0); /*format*/
	local[0]= w;
	goto IF31111;
IF31110:
	local[0]= NIL;
IF31111:
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET30913(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[12])(ctx,1,local+0,&ftab[12],fqv[71]); /*directory-namestring*/
	local[0]= w;
	w = loadglobal(fqv[63]);
	ctx->vsp=local+1;
	local[0]= cons(ctx,local[0],w);
	local[1]= NIL;
	local[2]= NIL;
	w = local[0];
	ctx->vsp=local+3;
	bindspecial(ctx,fqv[63],w);
	local[6]= argv[0];
	ctx->vsp=local+7;
	w=(*ftab[0])(ctx,1,local+6,&ftab[0],fqv[0]); /*namestring*/
	argv[0] = w;
	local[6]= argv[0];
	ctx->vsp=local+7;
	w=(pointer)F29290object_file_p(ctx,1,local+6); /*object-file-p*/
	if (w==NIL) goto CON31172;
	local[6]= argv[0];
	ctx->vsp=local+7;
	w=(*ftab[7])(ctx,1,local+6,&ftab[7],fqv[52]); /*pathname-name*/
	local[6]= w;
	local[7]= loadglobal(fqv[72]);
	local[8]= fqv[73];
	local[9]= (pointer)get_sym_func(fqv[74]);
	local[10]= fqv[65];
	local[11]= (pointer)get_sym_func(fqv[75]);
	ctx->vsp=local+12;
	w=(*ftab[13])(ctx,6,local+6,&ftab[13],fqv[76]); /*find*/
	local[1] = w;
	if (local[1]==NIL) goto IF31181;
	local[6]= local[1];
	ctx->vsp=local+7;
	w=(*ftab[14])(ctx,1,local+6,&ftab[14],fqv[77]); /*system::unbinload*/
	local[6]= T;
	local[7]= fqv[78];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)XFORMAT(ctx,3,local+6); /*format*/
	local[6]= w;
	goto IF31182;
IF31181:
	local[6]= NIL;
IF31182:
	local[6]= fqv[79];
	local[7]= argv[0];
	w = env->c.clo.env2[13];
	ctx->vsp=local+8;
	w=FLET30911(ctx,2,local+6,w);
	local[6]= argv[0];
	local[7]= env->c.clo.env2[1];
	ctx->vsp=local+8;
	w=(pointer)BINLOAD(ctx,2,local+6); /*system:binload*/
	local[2] = w;
	if (local[2]==NIL) goto IF31237;
	local[6]= local[2];
	w = loadglobal(fqv[72]);
	ctx->vsp=local+7;
	local[6]= cons(ctx,local[6],w);
	storeglobal(fqv[72],local[6]);
	goto IF31238;
IF31237:
	local[6]= NIL;
IF31238:
	local[6]= local[2];
	goto CON31170;
CON31172:
	local[6]= fqv[80];
	local[7]= argv[0];
	w = env->c.clo.env2[13];
	ctx->vsp=local+8;
	w=FLET30911(ctx,2,local+6,w);
	local[6]= argv[0];
	local[7]= env->c.clo.env2[6];
	ctx->vsp=local+8;
	w=(pointer)F29299system__txtload(ctx,2,local+6); /*system::txtload*/
	local[6]= T;
	goto CON31170;
CON31257:
	local[6]= NIL;
CON31170:
	ctx->vsp=local+7;
	unbindx(ctx,1);
	w = local[6];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET30915(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	local[2]= w;
	local[3]= fqv[81];
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON31299;
	local[2]= argv[0];
	w = env->c.clo.env2[14];
	ctx->vsp=local+3;
	w=FLET30913(ctx,1,local+2,w);
	local[2]= w;
	goto CON31297;
CON31299:
	local[2]= fqv[83];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(*ftab[6])(ctx,2,local+2,&ftab[6],fqv[51]); /*merge-pathnames*/
	local[0] = w;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	if (w==NIL) goto CON31316;
	local[2]= local[0];
	w = env->c.clo.env2[14];
	ctx->vsp=local+3;
	w=FLET30913(ctx,1,local+2,w);
	local[2]= w;
	goto CON31297;
CON31316:
	local[2]= fqv[84];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(*ftab[6])(ctx,2,local+2,&ftab[6],fqv[51]); /*merge-pathnames*/
	local[0] = w;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	if (w==NIL) goto CON31335;
	local[2]= local[0];
	w = env->c.clo.env2[14];
	ctx->vsp=local+3;
	w=FLET30913(ctx,1,local+2,w);
	local[2]= w;
	goto CON31297;
CON31335:
	local[2]= fqv[85];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(*ftab[6])(ctx,2,local+2,&ftab[6],fqv[51]); /*merge-pathnames*/
	local[0] = w;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	if (w==NIL) goto CON31354;
	local[2]= local[0];
	w = env->c.clo.env2[14];
	ctx->vsp=local+3;
	w=FLET30913(ctx,1,local+2,w);
	local[2]= w;
	goto CON31297;
CON31354:
	local[2]= fqv[86];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(*ftab[6])(ctx,2,local+2,&ftab[6],fqv[51]); /*merge-pathnames*/
	local[0] = w;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	if (w==NIL) goto CON31373;
	local[2]= local[0];
	w = env->c.clo.env2[14];
	ctx->vsp=local+3;
	w=FLET30913(ctx,1,local+2,w);
	local[2]= w;
	goto CON31297;
CON31373:
	local[2]= fqv[87];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(*ftab[6])(ctx,2,local+2,&ftab[6],fqv[51]); /*merge-pathnames*/
	local[1] = w;
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(pointer)F29286probe_file(ctx,1,local+2); /*probe-file*/
	if (w==NIL) goto CON31392;
	local[2]= local[1];
	w = env->c.clo.env2[14];
	ctx->vsp=local+3;
	w=FLET30913(ctx,1,local+2,w);
	local[2]= w;
	goto CON31297;
CON31392:
	local[2]= NIL;
CON31297:
	w = local[2];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*load-files*/
static pointer F29315load_files(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST31417:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	local[1]= NIL;
	local[2]= local[0];
WHL31443:
	if (local[2]==NIL) goto WHX31444;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	local[3]= local[1];
	local[4]= fqv[88];
	local[5]= T;
	ctx->vsp=local+6;
	w=(pointer)F29312load(ctx,3,local+3); /*load*/
	goto WHL31443;
WHX31444:
	local[3]= NIL;
BLK31445:
	w = NIL;
	w = T;
	local[0]= w;
BLK31415:
	ctx->vsp=local; return(local[0]);}

/*read-file*/
static pointer F29318read_file(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29281open(ctx,1,local+0); /*open*/
	local[0]= w;
	ctx->vsp=local+1;
	w = makeclosure(codevec,quotevec,UWP31528,env,argv,local);
	local[1]=(pointer)(ctx->protfp); local[2]=w;
	ctx->protfp=(struct protectframe *)(local+1);
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)READ(ctx,1,local+3); /*read*/
	ctx->vsp=local+3;
	UWP31528(ctx,0,local+3,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[0]= w;
BLK31504:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP31528(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[0];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*read-strings*/
static pointer F29321read_strings(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29281open(ctx,1,local+0); /*open*/
	local[0]= w;
	ctx->vsp=local+1;
	w = makeclosure(codevec,quotevec,UWP31577,env,argv,local);
	local[1]=(pointer)(ctx->protfp); local[2]=w;
	ctx->protfp=(struct protectframe *)(local+1);
	local[3]= NIL;
	local[4]= NIL;
	w = NIL;
	ctx->vsp=local+5;
	local[4]= cons(ctx,local[4],w);
	local[5]= NIL;
WHL31602:
	local[6]= local[0];
	local[7]= NIL;
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)READLINE(ctx,3,local+6); /*read-line*/
	local[3] = w;
	local[6]= local[3];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w!=NIL) goto WHX31603;
	local[6]= local[3];
	w = local[5];
	ctx->vsp=local+7;
	local[5] = cons(ctx,local[6],w);
	local[6]= fqv[89];
	w = local[5];
	ctx->vsp=local+7;
	local[5] = cons(ctx,local[6],w);
	goto WHL31602;
WHX31603:
	local[6]= NIL;
BLK31604:
	local[6]= (pointer)get_sym_func(fqv[90]);
	local[7]= loadglobal(fqv[22]);
	local[8]= local[5];
	ctx->vsp=local+9;
	w=(pointer)NREVERSE(ctx,1,local+8); /*nreverse*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)APPLY(ctx,3,local+6); /*apply*/
	ctx->vsp=local+3;
	UWP31577(ctx,0,local+3,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[0]= w;
BLK31553:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP31577(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[0];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*read-lines*/
static pointer F29324read_lines(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29281open(ctx,1,local+0); /*open*/
	local[0]= w;
	ctx->vsp=local+1;
	w = makeclosure(codevec,quotevec,UWP31692,env,argv,local);
	local[1]=(pointer)(ctx->protfp); local[2]=w;
	ctx->protfp=(struct protectframe *)(local+1);
	local[3]= NIL;
	local[4]= NIL;
	w = NIL;
	ctx->vsp=local+5;
	local[4]= cons(ctx,local[4],w);
	local[5]= NIL;
WHL31717:
	local[6]= local[0];
	local[7]= NIL;
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)READLINE(ctx,3,local+6); /*read-line*/
	local[3] = w;
	local[6]= local[3];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w!=NIL) goto WHX31718;
	local[6]= local[3];
	w = local[5];
	ctx->vsp=local+7;
	local[5] = cons(ctx,local[6],w);
	goto WHL31717;
WHX31718:
	local[6]= NIL;
BLK31719:
	local[6]= local[5];
	ctx->vsp=local+7;
	w=(pointer)NREVERSE(ctx,1,local+6); /*nreverse*/
	ctx->vsp=local+3;
	UWP31692(ctx,0,local+3,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[0]= w;
BLK31668:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP31692(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[0];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*read-lists*/
static pointer F29327read_lists(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	w = NIL;
	ctx->vsp=local+1;
	local[0]= cons(ctx,local[0],w);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)F29281open(ctx,1,local+3); /*open*/
	local[3]= w;
	ctx->vsp=local+4;
	w = makeclosure(codevec,quotevec,UWP31810,env,argv,local);
	local[4]=(pointer)(ctx->protfp); local[5]=w;
	ctx->protfp=(struct protectframe *)(local+4);
WHL31817:
	local[6]= local[3];
	local[7]= NIL;
	local[8]= local[0];
	ctx->vsp=local+9;
	w=(pointer)READ(ctx,3,local+6); /*read*/
	local[1] = w;
	local[6]= local[1];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w!=NIL) goto WHX31818;
	local[6]= local[1];
	w = local[2];
	ctx->vsp=local+7;
	local[2] = cons(ctx,local[6],w);
	goto WHL31817;
WHX31818:
	local[6]= NIL;
BLK31819:
	w = local[6];
	ctx->vsp=local+6;
	UWP31810(ctx,0,local+6,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[3]= local[2];
	ctx->vsp=local+4;
	w=(pointer)NREVERSE(ctx,1,local+3); /*nreverse*/
	local[0]= w;
BLK31767:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP31810(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[3];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*read-binary-file*/
static pointer F29330read_binary_file(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[0])(ctx,1,local+0,&ftab[0],fqv[0]); /*namestring*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(pointer)F29348file_size(ctx,1,local+0); /*file-size*/
	local[0]= w;
	local[1]= NIL;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,1,local+2,&ftab[3],fqv[44]); /*make-string*/
	local[2]= w;
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)F29281open(ctx,1,local+3); /*open*/
	local[3]= w;
	ctx->vsp=local+4;
	w = makeclosure(codevec,quotevec,UWP31911,env,argv,local);
	local[4]=(pointer)(ctx->protfp); local[5]=w;
	ctx->protfp=(struct protectframe *)(local+4);
	local[6]= local[3];
	local[7]= fqv[91];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,2,local+6); /*send*/
	local[6]= w;
	local[7]= local[2];
	local[8]= local[0];
	ctx->vsp=local+9;
	w=(pointer)UNIXREAD(ctx,3,local+6); /*unix:uread*/
	local[1] = w;
	local[6]= local[0];
	local[7]= local[1];
	ctx->vsp=local+8;
	w=(*ftab[16])(ctx,2,local+6,&ftab[16],fqv[92]); /*/=*/
	if (w==NIL) goto IF31933;
	local[6]= fqv[93];
	ctx->vsp=local+7;
	w=(pointer)SIGERROR(ctx,1,local+6); /*error*/
	local[6]= w;
	goto IF31934;
IF31933:
	local[6]= NIL;
IF31934:
	w = local[6];
	ctx->vsp=local+6;
	UWP31911(ctx,0,local+6,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	w = local[2];
	local[0]= w;
BLK31867:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP31911(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[3];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*read-lines-till-eof*/
static pointer F29333read_lines_till_eof(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= NIL;
	w = NIL;
	ctx->vsp=local+3;
	local[2]= cons(ctx,local[2],w);
WHL31993:
	local[3]= argv[0];
	local[4]= NIL;
	local[5]= local[2];
	ctx->vsp=local+6;
	w=(pointer)READLINE(ctx,3,local+3); /*read-line*/
	local[1] = w;
	local[3]= local[1];
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)EQ(ctx,2,local+3); /*eql*/
	if (w!=NIL) goto WHX31994;
	local[3]= local[1];
	w = local[0];
	ctx->vsp=local+4;
	local[0] = cons(ctx,local[3],w);
	goto WHL31993;
WHX31994:
	local[3]= NIL;
BLK31995:
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)NREVERSE(ctx,1,local+3); /*nreverse*/
	local[0]= w;
BLK31964:
	ctx->vsp=local; return(local[0]);}

/*do-file-line*/
static pointer F32030(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST32033:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	ctx->vsp=local+1;
	w=(pointer)GENSYM(ctx,0,local+1); /*gensym*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)GENSYM(ctx,0,local+2); /*gensym*/
	local[2]= w;
	w = local[1];
	ctx->vsp=local+3;
	bindspecial(ctx,fqv[94],w);
	local[6]= fqv[95];
	local[7]= loadglobal(fqv[94]);
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.cdr;
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	local[8]= fqv[24];
	local[9]= local[2];
	local[10]= fqv[96];
	local[11]= fqv[19];
	local[12]= fqv[19];
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	local[10]= fqv[97];
	local[11]= fqv[98];
	local[12]= fqv[99];
	local[13]= local[2];
	local[14]= fqv[100];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[15]= (w)->c.cons.car;
	local[16]= fqv[101];
	local[17]= loadglobal(fqv[94]);
	local[18]= fqv[19];
	local[19]= local[2];
	ctx->vsp=local+20;
	w=(pointer)LIST(ctx,1,local+19); /*list*/
	ctx->vsp=local+19;
	w = cons(ctx,local[18],w);
	ctx->vsp=local+18;
	w = cons(ctx,local[17],w);
	ctx->vsp=local+17;
	local[16]= cons(ctx,local[16],w);
	ctx->vsp=local+17;
	w=(pointer)LIST(ctx,1,local+16); /*list*/
	ctx->vsp=local+16;
	w = cons(ctx,local[15],w);
	ctx->vsp=local+15;
	local[14]= cons(ctx,local[14],w);
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,1,local+14); /*list*/
	ctx->vsp=local+14;
	w = cons(ctx,local[13],w);
	ctx->vsp=local+13;
	local[12]= cons(ctx,local[12],w);
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	local[11]= cons(ctx,local[11],w);
	w = local[0];
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	w = cons(ctx,local[9],w);
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	w = cons(ctx,local[7],w);
	ctx->vsp=local+7;
	local[6]= cons(ctx,local[6],w);
	ctx->vsp=local+7;
	unbindx(ctx,1);
	w = local[6];
	local[0]= w;
BLK32031:
	ctx->vsp=local; return(local[0]);}

/*do-file-form*/
static pointer F32178(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST32181:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	ctx->vsp=local+1;
	w=(pointer)GENSYM(ctx,0,local+1); /*gensym*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)GENSYM(ctx,0,local+2); /*gensym*/
	local[2]= w;
	w = local[1];
	ctx->vsp=local+3;
	bindspecial(ctx,fqv[94],w);
	local[6]= fqv[95];
	local[7]= loadglobal(fqv[94]);
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.cdr;
	ctx->vsp=local+8;
	local[7]= cons(ctx,local[7],w);
	local[8]= fqv[24];
	local[9]= local[2];
	local[10]= fqv[96];
	local[11]= fqv[19];
	local[12]= fqv[19];
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	local[9]= cons(ctx,local[9],w);
	local[10]= fqv[97];
	local[11]= fqv[98];
	local[12]= fqv[99];
	local[13]= local[2];
	local[14]= fqv[100];
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[15]= (w)->c.cons.car;
	local[16]= fqv[102];
	local[17]= loadglobal(fqv[94]);
	local[18]= fqv[19];
	local[19]= local[2];
	ctx->vsp=local+20;
	w=(pointer)LIST(ctx,1,local+19); /*list*/
	ctx->vsp=local+19;
	w = cons(ctx,local[18],w);
	ctx->vsp=local+18;
	w = cons(ctx,local[17],w);
	ctx->vsp=local+17;
	local[16]= cons(ctx,local[16],w);
	ctx->vsp=local+17;
	w=(pointer)LIST(ctx,1,local+16); /*list*/
	ctx->vsp=local+16;
	w = cons(ctx,local[15],w);
	ctx->vsp=local+15;
	local[14]= cons(ctx,local[14],w);
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,1,local+14); /*list*/
	ctx->vsp=local+14;
	w = cons(ctx,local[13],w);
	ctx->vsp=local+13;
	local[12]= cons(ctx,local[12],w);
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	ctx->vsp=local+12;
	local[11]= cons(ctx,local[11],w);
	w = local[0];
	ctx->vsp=local+12;
	w = cons(ctx,local[11],w);
	ctx->vsp=local+11;
	local[10]= cons(ctx,local[10],w);
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	ctx->vsp=local+10;
	w = cons(ctx,local[9],w);
	ctx->vsp=local+9;
	local[8]= cons(ctx,local[8],w);
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	ctx->vsp=local+8;
	w = cons(ctx,local[7],w);
	ctx->vsp=local+7;
	local[6]= cons(ctx,local[6],w);
	ctx->vsp=local+7;
	unbindx(ctx,1);
	w = local[6];
	local[0]= w;
BLK32179:
	ctx->vsp=local; return(local[0]);}

/*load-library*/
static pointer F29338load_library(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
RST32328:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-2);
	local[1]= (pointer)get_sym_func(fqv[103]);
	local[2]= argv[0];
	local[3]= fqv[104];
	local[4]= NIL;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)APPLY(ctx,5,local+1); /*apply*/
	local[1]= w;
	local[2]= local[1];
	local[3]= argv[1];
	ctx->vsp=local+4;
	w=(*ftab[17])(ctx,2,local+2,&ftab[17],fqv[105]); /*system::list-module-initializers*/
	local[2]= w;
	local[3]= NIL;
	local[4]= NIL;
	local[5]= local[2];
WHL32383:
	if (local[5]==NIL) goto WHX32384;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5] = (w)->c.cons.cdr;
	w = local[6];
	local[4] = w;
	local[6]= loadglobal(fqv[106]);
	ctx->vsp=local+7;
	w=(pointer)ISATTY(ctx,1,local+6); /*unix:isatty*/
	if (w==NIL) goto IF32433;
	local[6]= loadglobal(fqv[107]);
	local[7]= fqv[108];
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.car;
	ctx->vsp=local+9;
	w=(pointer)XFORMAT(ctx,3,local+6); /*format*/
	local[6]= loadglobal(fqv[107]);
	ctx->vsp=local+7;
	w=(pointer)FINOUT(ctx,1,local+6); /*finish-output*/
	local[6]= w;
	goto IF32434;
IF32433:
	local[6]= NIL;
IF32434:
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	ctx->vsp=local+8;
	w=(pointer)FUNCALL(ctx,2,local+6); /*funcall*/
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w = local[3];
	ctx->vsp=local+7;
	local[3] = cons(ctx,local[6],w);
	goto WHL32383;
WHX32384:
	local[6]= NIL;
BLK32385:
	w = NIL;
	local[4]= local[3];
	ctx->vsp=local+5;
	w=(pointer)NREVERSE(ctx,1,local+4); /*nreverse*/
	local[0]= w;
BLK32326:
	ctx->vsp=local; return(local[0]);}

/*dump-object*/
static pointer F29341dump_object(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST32503:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= T;
	local[2]= T;
	local[3]= NIL;
	local[4]= NIL;
	w = local[4];
	ctx->vsp=local+5;
	bindspecial(ctx,fqv[109],w);
	w = local[3];
	ctx->vsp=local+8;
	bindspecial(ctx,fqv[110],w);
	w = local[2];
	ctx->vsp=local+11;
	bindspecial(ctx,fqv[111],w);
	w = local[1];
	ctx->vsp=local+14;
	bindspecial(ctx,fqv[112],w);
	local[17]= argv[0];
	ctx->vsp=local+18;
	w=(pointer)STREAMP(ctx,1,local+17); /*streamp*/
	if (w==NIL) goto IF32545;
	local[17]= NIL;
	local[18]= local[0];
WHL32570:
	if (local[18]==NIL) goto WHX32571;
	w=local[18];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[19]= (w)->c.cons.car;
	w=local[18];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[18] = (w)->c.cons.cdr;
	w = local[19];
	local[17] = w;
	local[19]= local[17];
	local[20]= argv[0];
	ctx->vsp=local+21;
	w=(pointer)PRINT(ctx,2,local+19); /*print*/
	goto WHL32570;
WHX32571:
	local[19]= NIL;
BLK32572:
	w = NIL;
	local[17]= w;
	goto IF32546;
IF32545:
	local[17]= argv[0];
	local[18]= fqv[113];
	local[19]= fqv[114];
	ctx->vsp=local+20;
	w=(pointer)F29281open(ctx,3,local+17); /*open*/
	local[17]= w;
	ctx->vsp=local+18;
	w = makeclosure(codevec,quotevec,UWP32644,env,argv,local);
	local[18]=(pointer)(ctx->protfp); local[19]=w;
	ctx->protfp=(struct protectframe *)(local+18);
	local[20]= NIL;
	local[21]= local[0];
WHL32668:
	if (local[21]==NIL) goto WHX32669;
	w=local[21];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[22]= (w)->c.cons.car;
	w=local[21];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[21] = (w)->c.cons.cdr;
	w = local[22];
	local[20] = w;
	local[22]= local[20];
	local[23]= local[17];
	ctx->vsp=local+24;
	w=(pointer)PRINT(ctx,2,local+22); /*print*/
	goto WHL32668;
WHX32669:
	local[22]= NIL;
BLK32670:
	w = NIL;
	ctx->vsp=local+20;
	UWP32644(ctx,0,local+20,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[17]= w;
IF32546:
	ctx->vsp=local+18;
	unbindx(ctx,4);
	w = local[17];
	local[0]= w;
BLK32501:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP32644(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[17];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*dump-structure*/
static pointer F29344dump_structure(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST32742:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= T;
	local[2]= T;
	local[3]= NIL;
	local[4]= NIL;
	w = local[4];
	ctx->vsp=local+5;
	bindspecial(ctx,fqv[109],w);
	w = local[3];
	ctx->vsp=local+8;
	bindspecial(ctx,fqv[110],w);
	w = local[2];
	ctx->vsp=local+11;
	bindspecial(ctx,fqv[111],w);
	w = local[1];
	ctx->vsp=local+14;
	bindspecial(ctx,fqv[115],w);
	local[17]= argv[0];
	ctx->vsp=local+18;
	w=(pointer)STREAMP(ctx,1,local+17); /*streamp*/
	if (w==NIL) goto IF32784;
	local[17]= NIL;
	local[18]= local[0];
WHL32809:
	if (local[18]==NIL) goto WHX32810;
	w=local[18];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[19]= (w)->c.cons.car;
	w=local[18];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[18] = (w)->c.cons.cdr;
	w = local[19];
	local[17] = w;
	local[19]= local[17];
	local[20]= argv[0];
	ctx->vsp=local+21;
	w=(pointer)PRINT(ctx,2,local+19); /*print*/
	goto WHL32809;
WHX32810:
	local[19]= NIL;
BLK32811:
	w = NIL;
	local[17]= w;
	goto IF32785;
IF32784:
	local[17]= argv[0];
	local[18]= fqv[113];
	local[19]= fqv[114];
	ctx->vsp=local+20;
	w=(pointer)F29281open(ctx,3,local+17); /*open*/
	local[17]= w;
	ctx->vsp=local+18;
	w = makeclosure(codevec,quotevec,UWP32883,env,argv,local);
	local[18]=(pointer)(ctx->protfp); local[19]=w;
	ctx->protfp=(struct protectframe *)(local+18);
	local[20]= NIL;
	local[21]= local[0];
WHL32907:
	if (local[21]==NIL) goto WHX32908;
	w=local[21];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[22]= (w)->c.cons.car;
	w=local[21];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[21] = (w)->c.cons.cdr;
	w = local[22];
	local[20] = w;
	local[22]= local[20];
	local[23]= local[17];
	ctx->vsp=local+24;
	w=(pointer)PRINT(ctx,2,local+22); /*print*/
	goto WHL32907;
WHX32908:
	local[22]= NIL;
BLK32909:
	w = NIL;
	ctx->vsp=local+20;
	UWP32883(ctx,0,local+20,ctx->protfp->cleaner);
	ctx->protfp=ctx->protfp->protlink;
	local[17]= w;
IF32785:
	ctx->vsp=local+18;
	unbindx(ctx,4);
	w = local[17];
	local[0]= w;
BLK32740:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer UWP32883(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=0) maerror();
	local[0]= env->c.clo.env2[17];
	ctx->vsp=local+1;
	w=(pointer)CLOSE(ctx,1,local+0); /*close*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*dump-loadable-structure*/
static pointer F32979(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST32982:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= local[0];
WHL33020:
	if (local[3]==NIL) goto WHX33021;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w = local[4];
	local[2] = w;
	local[4]= fqv[116];
	local[5]= fqv[100];
	local[6]= local[2];
	local[7]= fqv[116];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)SYMVALUE(ctx,1,local+8); /*symbol-value*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,2,local+7); /*list*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)LIST(ctx,3,local+5); /*list*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,2,local+4); /*list*/
	local[4]= w;
	w = local[1];
	ctx->vsp=local+5;
	local[1] = cons(ctx,local[4],w);
	goto WHL33020;
WHX33021:
	local[4]= NIL;
BLK33022:
	w = NIL;
	local[2]= fqv[117];
	local[3]= argv[0];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)REVERSE(ctx,1,local+4); /*reverse*/
	ctx->vsp=local+4;
	w = cons(ctx,local[3],w);
	ctx->vsp=local+3;
	w = cons(ctx,local[2],w);
	local[0]= w;
BLK32980:
	ctx->vsp=local; return(local[0]);}

/*file-size*/
static pointer F29348file_size(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[0])(ctx,1,local+0,&ftab[0],fqv[0]); /*namestring*/
	argv[0] = w;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F29286probe_file(ctx,1,local+0); /*probe-file*/
	if (w==NIL) goto IF33133;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[0])(ctx,1,local+0,&ftab[0],fqv[0]); /*namestring*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(pointer)STAT(ctx,1,local+0); /*unix:stat*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)7L);
	ctx->vsp=local+2;
	w=(pointer)ELT(ctx,2,local+0); /*elt*/
	local[0]= w;
	goto IF33134;
IF33133:
	local[0]= fqv[118];
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,2,local+0); /*error*/
	local[0]= w;
IF33134:
	w = local[0];
	local[0]= w;
BLK33114:
	ctx->vsp=local; return(local[0]);}

/*directory-p*/
static pointer F29351directory_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)STAT(ctx,1,local+2); /*unix:stat*/
	local[1] = w;
	w = local[1];
	if (!iscons(w)) goto IF33167;
	local[2]= makeint((eusinteger_t)16384L);
	local[3]= local[1];
	local[4]= makeint((eusinteger_t)0L);
	ctx->vsp=local+5;
	w=(pointer)ELT(ctx,2,local+3); /*elt*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)LOGAND(ctx,2,local+2); /*logand*/
	local[2]= w;
	local[3]= makeint((eusinteger_t)16384L);
	ctx->vsp=local+4;
	w=(pointer)NUMEQUAL(ctx,2,local+2); /*=*/
	local[2]= w;
	goto IF33168;
IF33167:
	local[2]= NIL;
IF33168:
	w = local[2];
	local[0]= w;
BLK33153:
	ctx->vsp=local; return(local[0]);}

/*map-file*/
static pointer F29354map_file(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[119], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY33207;
	local[0] = fqv[2];
KEY33207:
	if (n & (1<<1)) goto KEY33214;
	local[1] = makeint((eusinteger_t)0L);
KEY33214:
	if (n & (1<<2)) goto KEY33219;
	local[2] = NIL;
KEY33219:
	if (n & (1<<3)) goto KEY33224;
	local[3] = NIL;
KEY33224:
	if (n & (1<<4)) goto KEY33229;
	local[4] = T;
KEY33229:
	if (n & (1<<5)) goto KEY33234;
	local[5] = NIL;
KEY33234:
	if (n & (1<<6)) goto KEY33239;
	local[6] = makeint((eusinteger_t)0L);
KEY33239:
	local[7]= NIL;
	local[8]= makeint((eusinteger_t)0L);
	local[9]= NIL;
	local[10]= argv[0];
	local[11]= fqv[113];
	local[12]= local[0];
	local[13]= fqv[120];
	local[14]= fqv[13];
	ctx->vsp=local+15;
	w=(pointer)F29281open(ctx,5,local+10); /*open*/
	local[7] = w;
	if (local[2]!=NIL) goto IF33277;
	local[10]= argv[0];
	ctx->vsp=local+11;
	w=(pointer)F29348file_size(ctx,1,local+10); /*file-size*/
	local[2] = w;
	local[10]= local[2];
	goto IF33278;
IF33277:
	local[10]= NIL;
IF33278:
	if (local[3]!=NIL) goto IF33296;
	local[10]= local[0];
	local[11]= fqv[121];
	ctx->vsp=local+12;
	w=(pointer)ASSQ(ctx,2,local+10); /*assq*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	local[10]= local[3];
	goto IF33297;
IF33296:
	local[10]= NIL;
IF33297:
	if (local[4]==NIL) goto IF33320;
	local[8] = makeint((eusinteger_t)1L);
	local[10]= local[8];
	goto IF33321;
IF33320:
	local[10]= NIL;
IF33321:
	if (local[5]==NIL) goto IF33332;
	local[8] = makeint((eusinteger_t)2L);
	local[10]= local[8];
	goto IF33333;
IF33332:
	local[10]= NIL;
IF33333:
	local[10]= local[6];
	local[11]= local[2];
	local[12]= local[3];
	local[13]= local[8];
	local[14]= local[7];
	local[15]= local[1];
	ctx->vsp=local+16;
	w=(*ftab[18])(ctx,6,local+10,&ftab[18],fqv[122]); /*unix:mmap*/
	local[9] = w;
	local[10]= local[7];
	ctx->vsp=local+11;
	w=(pointer)CLOSE(ctx,1,local+10); /*close*/
	w = local[9];
	local[0]= w;
BLK33192:
	ctx->vsp=local; return(local[0]);}

/*provide*/
static pointer F29356provide(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST33370:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(*ftab[19])(ctx,1,local+1,&ftab[19],fqv[123]); /*keywordp*/
	if (w!=NIL) goto IF33382;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(*ftab[20])(ctx,1,local+1,&ftab[20],fqv[22]); /*string*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(*ftab[21])(ctx,1,local+1,&ftab[21],fqv[124]); /*string-upcase*/
	local[1]= w;
	local[2]= loadglobal(fqv[125]);
	ctx->vsp=local+3;
	w=(pointer)INTERN(ctx,2,local+1); /*intern*/
	argv[0] = w;
	local[1]= argv[0];
	goto IF33383;
IF33382:
	local[1]= NIL;
IF33383:
	local[1]= argv[0];
	local[2]= loadglobal(fqv[126]);
	ctx->vsp=local+3;
	w=(*ftab[22])(ctx,2,local+1,&ftab[22],fqv[127]); /*assoc*/
	if (w!=NIL) goto IF33412;
	local[1]= loadglobal(fqv[126]);
	local[2]= argv[0];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)LIST_STAR(ctx,2,local+2); /*list**/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)NCONC(ctx,2,local+1); /*nconc*/
	local[1]= w;
	storeglobal(fqv[126],w);
	goto IF33413;
IF33412:
	local[1]= NIL;
IF33413:
	w = argv[0];
	local[0]= w;
BLK33368:
	ctx->vsp=local; return(local[0]);}

/*require*/
static pointer F29358require(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
RST33445:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-1);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(*ftab[19])(ctx,1,local+1,&ftab[19],fqv[123]); /*keywordp*/
	if (w!=NIL) goto IF33457;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(*ftab[20])(ctx,1,local+1,&ftab[20],fqv[22]); /*string*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(*ftab[21])(ctx,1,local+1,&ftab[21],fqv[124]); /*string-upcase*/
	local[1]= w;
	local[2]= loadglobal(fqv[125]);
	ctx->vsp=local+3;
	w=(pointer)INTERN(ctx,2,local+1); /*intern*/
	argv[0] = w;
	local[1]= argv[0];
	goto IF33458;
IF33457:
	local[1]= NIL;
IF33458:
	local[1]= argv[0];
	local[2]= loadglobal(fqv[126]);
	ctx->vsp=local+3;
	w=(*ftab[22])(ctx,2,local+1,&ftab[22],fqv[127]); /*assoc*/
	if (w!=NIL) goto IF33484;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.car;
	if (isstring(w)) goto IF33497;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(*ftab[20])(ctx,1,local+1,&ftab[20],fqv[22]); /*string*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(*ftab[23])(ctx,1,local+1,&ftab[23],fqv[128]); /*string-downcase*/
	local[1]= w;
	w = local[0];
	ctx->vsp=local+2;
	local[0] = cons(ctx,local[1],w);
	local[1]= local[0];
	goto IF33498;
IF33497:
	local[1]= NIL;
IF33498:
	local[1]= (pointer)get_sym_func(fqv[103]);
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)APPLY(ctx,2,local+1); /*apply*/
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)F29356provide(ctx,1,local+1); /*provide*/
	local[1]= w;
	goto IF33485;
IF33484:
	local[1]= NIL;
IF33485:
	w = local[1];
	local[0]= w;
BLK33443:
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___loader(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[129];
	ctx->vsp=local+1;
	w=(pointer)LIST(ctx,1,local+0); /*list*/
	local[0]= fqv[130];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF33545;
	local[0]= fqv[131];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[58],w);
	goto IF33546;
IF33545:
	local[0]= fqv[132];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF33546:
	local[0]= fqv[133];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[134],module,F29275file_write_date,fqv[135]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[136],module,F29278file_newer,fqv[137]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[25],module,F29281open,fqv[138]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[95],module,F29941,fqv[139]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[140],module,F29286probe_file,fqv[141]);
	local[0]= fqv[43];
	local[1]= fqv[142];
	local[2]= fqv[143];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33585;
	local[2]= makeint((eusinteger_t)7L);
	local[3]= makeint((eusinteger_t)1L);
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,2,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33585:
	local[2]= fqv[145];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33597;
	local[2]= makeint((eusinteger_t)127L);
	local[3]= makeint((eusinteger_t)69L);
	local[4]= makeint((eusinteger_t)76L);
	local[5]= makeint((eusinteger_t)70L);
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33597:
	local[2]= fqv[146];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33608;
	local[2]= makeint((eusinteger_t)127L);
	local[3]= makeint((eusinteger_t)69L);
	local[4]= makeint((eusinteger_t)76L);
	local[5]= makeint((eusinteger_t)70L);
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33608:
	local[2]= fqv[147];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33619;
	local[2]= makeint((eusinteger_t)98L);
	local[3]= makeint((eusinteger_t)1L);
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,2,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33619:
	local[2]= fqv[148];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33630;
	local[2]= makeint((eusinteger_t)127L);
	local[3]= makeint((eusinteger_t)69L);
	local[4]= makeint((eusinteger_t)76L);
	local[5]= makeint((eusinteger_t)70L);
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33630:
	local[2]= fqv[149];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33641;
	local[2]= fqv[150];
	local[3]= fqv[151];
	local[4]= fqv[152];
	local[5]= fqv[153];
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33641:
	local[2]= fqv[154];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33660;
	local[2]= makeint((eusinteger_t)127L);
	local[3]= makeint((eusinteger_t)69L);
	local[4]= makeint((eusinteger_t)76L);
	local[5]= makeint((eusinteger_t)70L);
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33660:
	local[2]= fqv[155];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33671;
	local[2]= makeint((eusinteger_t)77L);
	local[3]= makeint((eusinteger_t)90L);
	local[4]= makeint((eusinteger_t)144L);
	local[5]= makeint((eusinteger_t)0L);
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33671:
	local[2]= fqv[156];
	local[3]= loadglobal(fqv[144]);
	ctx->vsp=local+4;
	w=(*ftab[15])(ctx,2,local+2,&ftab[15],fqv[82]); /*member*/
	if (w==NIL) goto CON33682;
	local[2]= makeint((eusinteger_t)131L);
	local[3]= makeint((eusinteger_t)1L);
	local[4]= makeint((eusinteger_t)1L);
	ctx->vsp=local+5;
	w=(pointer)LIST(ctx,3,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33682:
	local[2]= NIL;
	local[3]= NIL;
	local[4]= makeint((eusinteger_t)1L);
	local[5]= fqv[157];
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	goto CON33583;
CON33693:
	local[2]= NIL;
CON33583:
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[158],module,F29290object_file_p,fqv[159]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[160],module,F29293path_list,fqv[161]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[162],module,F29296find_executable,fqv[163]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[164],module,F29299system__txtload,fqv[165]);
	local[0]= fqv[64];
	local[1]= fqv[166];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF33712;
	local[0]= fqv[64];
	local[1]= fqv[166];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[64];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF33735;
	local[0]= fqv[64];
	local[1]= fqv[167];
	local[2]= fqv[168];
	local[3]= loadglobal(fqv[169]);
	local[4]= NIL;
	local[5]= fqv[170];
	local[6]= loadglobal(fqv[169]);
	ctx->vsp=local+7;
	w=(pointer)XFORMAT(ctx,3,local+4); /*format*/
	local[4]= w;
	local[5]= NIL;
	local[6]= fqv[171];
	local[7]= loadglobal(fqv[169]);
	ctx->vsp=local+8;
	w=(pointer)XFORMAT(ctx,3,local+5); /*format*/
	local[5]= w;
	local[6]= NIL;
	local[7]= fqv[172];
	local[8]= loadglobal(fqv[169]);
	ctx->vsp=local+9;
	w=(pointer)XFORMAT(ctx,3,local+6); /*format*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)LIST(ctx,5,local+2); /*list*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF33736;
IF33735:
	local[0]= NIL;
IF33736:
	local[0]= fqv[64];
	goto IF33713;
IF33712:
	local[0]= NIL;
IF33713:
	local[0]= fqv[63];
	local[1]= fqv[173];
	local[2]= fqv[174];
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= fqv[57];
	local[1]= fqv[166];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF33778;
	local[0]= fqv[57];
	local[1]= fqv[166];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[57];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF33801;
	local[0]= fqv[57];
	local[1]= fqv[167];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF33802;
IF33801:
	local[0]= NIL;
IF33802:
	local[0]= fqv[57];
	goto IF33779;
IF33778:
	local[0]= NIL;
IF33779:
	local[0]= fqv[72];
	local[1]= fqv[166];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF33821;
	local[0]= fqv[72];
	local[1]= fqv[166];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[72];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF33844;
	local[0]= fqv[72];
	local[1]= fqv[167];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF33845;
IF33844:
	local[0]= NIL;
IF33845:
	local[0]= fqv[72];
	goto IF33822;
IF33821:
	local[0]= NIL;
IF33822:
	ctx->vsp=local+0;
	compfun(ctx,fqv[74],module,F29309load_module_file_name,fqv[175]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[103],module,F29312load,fqv[176]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[177],module,F29315load_files,fqv[178]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[179],module,F29318read_file,fqv[180]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[181],module,F29321read_strings,fqv[182]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[183],module,F29324read_lines,fqv[184]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[185],module,F29327read_lists,fqv[186]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[187],module,F29330read_binary_file,fqv[188]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[189],module,F29333read_lines_till_eof,fqv[190]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[191],module,F32030,fqv[192]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[193],module,F32178,fqv[194]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[195],module,F29338load_library,fqv[196]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[197],module,F29341dump_object,fqv[198]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[117],module,F29344dump_structure,fqv[199]);
	ctx->vsp=local+0;
	compmacro(ctx,fqv[200],module,F32979,fqv[201]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[202],module,F29348file_size,fqv[203]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[204],module,F29351directory_p,fqv[205]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[206],module,F29354map_file,fqv[207]);
	local[0]= fqv[126];
	local[1]= fqv[166];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF33900;
	local[0]= fqv[126];
	local[1]= fqv[166];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[126];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF33923;
	local[0]= fqv[126];
	local[1]= fqv[167];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF33924;
IF33923:
	local[0]= NIL;
IF33924:
	local[0]= fqv[126];
	goto IF33901;
IF33900:
	local[0]= NIL;
IF33901:
	ctx->vsp=local+0;
	compfun(ctx,fqv[208],module,F29356provide,fqv[209]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[210],module,F29358require,fqv[211]);
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<24; i++) ftab[i]=fcallx;
}
